Subject: Re: [PATCH 0/8] Introduce fwctl subystem

From: Jakub Kicinski <[email-masked]>
Date: Mon, 3 Jun 2024 11:42:50 -0700

On Mon,  3 Jun 2024 12:53:16 -0300 Jason Gunthorpe wrote:
> fwctl is a new subsystem intended to bring some common rules and order to
> the growing pattern of exposing a secure FW interface directly to
> userspace. Unlike existing places like RDMA/DRM/VFIO/uacce that are
> exposing a device for datapath operations fwctl is focused on debugging,
> configuration and provisioning of the device. It will not have the
> necessary features like interrupt delivery to support a datapath.

If you have debug problems in your subsystem, put the APIs in your
subsystem. Don't force your choices on all the subsystems your device
interacts with:

Nacked-by: Jakub Kicinski <[email-masked]>

Somewhat related, I saw nVidia sells various interesting features in
its DOCA stack. Is that Open Source?